Subject: [Int-area] IP Mobility Threat Analysis and Security Requirements - Request for Review and Comments

From: "Narayanan, Vidya" <[email-masked]>
Date: Thu, 15 Mar 2007 01:36:14 -0700

All,

In an effort to document a common understanding of the threat model and
security requirements for IP mobility protocols, we have written
draft-vidya-ip-mobility-threats-00 and
draft-vidya-ip-mobility-sec-reqs-00. Reviews and comments are greatly
appreciated.  

Regards,
Vidya

_______________________________________________
Int-area mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/int-area

---

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 16 Mar 2007 16:40:46 +0100

> draft-vidya-ip-mobility-sec-reqs-00. Reviews and comments are greatly

Thanks... just  one quick comment, review to come in later (if needed). 
  Not sure whether it should be said or not, or now or later, etc.

During MIP6 RO design one Mobile IPv6 Threat document was developped, 
which didn't last longer than a few meetings, but somehow helped the 
design of RO with RR.  And then there's at least one document with 
"rationale for MIP6 RO RR design".

Then there are various threat analysis documents in various 
mobility-related WGs.

Would those be referenced.  Because sec-reqs has no references and 
mobility-threats lists no security document (other than mobike).

Or is the intention of the doc to take a completely fresh look on 
mobility and security and then put up some generic requirements helping 
any new mobility-related protocol design... not sure...

Or is the intention to recommend mobility-security people to just use 
more of IPsec...

Alex

______________________________________________________________________
This email has been scanned by the MessageLabs Email Security System.
For more information please visit http://www.messagelabs.com/email 
______________________________________________________________________

---

From: "Narayanan, Vidya" <[email-masked]>
Date: Mon, 19 Mar 2007 08:36:13 -0700

Hi Alex,
Thanks for pointing this out. We put this together in a short time span
and didn't really do a good job with the references. RFC4225 is
definitely important to reference and we'll fix that in the next
revision. 

Thanks,
Vidya 

> -----Original Message-----
> From: Alexandru Petrescu [mailto:[email-masked]] 
> Sent: Friday, March 16, 2007 8:41 AM
> To: Narayanan, Vidya
> Cc: Internet Area
> Subject: Re: [Int-area] IP Mobility Threat Analysis and 
> Security Requirements
> 
> Narayanan, Vidya wrote:
> > All,
> > 
> > In an effort to document a common understanding of the threat model 
> > and security requirements for IP mobility protocols, we 
> have written 
> During MIP6 RO design one Mobile IPv6 Threat document was 
> developped, which didn't last longer than a few meetings, but 
> somehow helped the design of RO with RR.  And then there's at 
> least one document with "rationale for MIP6 RO RR design".
> 
> Would those be referenced.  Because sec-reqs has no 
> references and mobility-threats lists no security document 
> (other than mobike).
> 
> Or is the intention of the doc to take a completely fresh 
> look on mobility and security and then put up some generic 
> requirements helping any new mobility-related protocol 
> design... not sure...
> 
> Or is the intention to recommend mobility-security people to 
> just use more of IPsec...
> 
> Alex
> 
>